import { jsx } from "react/jsx-runtime";
import { MagnetIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Magnet = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Magnet", ...props, children: /* @__PURE__ */ jsx(MagnetIcon, { weight: variant }) });
  }
);
Magnet.displayName = "Magnet";
Object.assign(Magnet, { isGdsIcon: true });
export {
  Magnet
};
